import java.util.Scanner;

public class Test {
	    public static void main(String[] args) {
	        Scanner scanner = new Scanner(System.in);
	        System.out.print("Unesite broj N ");
	        int N = scanner.nextInt();
	        
	        System.out.print("Unesite broj L  ");
	        int L = scanner.nextInt();
	      
	        int[] brojevi = new int[N];
	      
	        System.out.println("Unesite " + N + " brojeva:");
	        for (int i = 0; i < N; i++) {

	            System.out.print((i + 1) + ": ");
	            brojevi[i] = scanner.nextInt();


	        }

	        
	        for (int i = 0; i < N; i++) {
	            if (brojevi[i] <= L) {
	                System.out.println(i + 1 );
	               
	            }


	        }

	      
	    }





	}